## Index

### Classes

- GenLex
- Parser

### Interfaces

- Accept
- CharBundle
- FlowBundle
- IParser
- NumberBundle
- Option
- Reject
- Response
- SingleParser
- Stream
- Streams
- Token
- TokenResult
- Try
- Tuple
- TupleParser
- Unit
- VoidParser

### Type aliases

- MASALA_VOID_TYPE
- NEUTRAL
- ParserOrString
- Predicate
- TokenCollection
- extension
- parseFunction
- parserBuilder

### Variables

- C
- F
- N

### Functions

- tuple

## Type aliases

### MASALA_VOID_TYPE

MASALA_VOID_TYPE: symbol

- Defined in masala-parser.d.ts:408

### NEUTRAL

NEUTRAL: symbol

- Defined in masala-parser.d.ts:122

### ParserOrString

ParserOrString: IParser<T> | string

- Defined in masala-parser.d.ts:823

### Predicate

Predicate: function

- Defined in masala-parser.d.ts:766

#### Type declaration

- - (value: V): boolean

  - #### Parameters

    - ##### value: V

    #### Returns boolean

### TokenCollection

TokenCollection: object

- Defined in masala-parser.d.ts:831

#### Type declaration

- ##### [key: string]: Token<any>

### extension

extension: T

- Defined in masala-parser.d.ts:764

### parseFunction

parseFunction: function

- Defined in masala-parser.d.ts:641

A `parseFunction` is a function that returns a parser. To build this parser at runtime, any params are available.

#### Type declaration

- - (stream: Stream<X>, index?: number): Response<T>

  - #### Parameters

    - ##### stream: Stream<X>

    - ##### Optional index: number

    #### Returns Response<T>

### parserBuilder

parserBuilder: function

- Defined in masala-parser.d.ts:762

#### Type declaration

- - (...rest: any[]): P

  - #### Parameters

    - ##### Rest ...rest: any[]

    #### Returns P

## Variables

### Const C

C: CharBundle

- Defined in masala-parser.d.ts:895

### Const F

F: FlowBundle

- Defined in masala-parser.d.ts:894

### Const N

N: NumberBundle

- Defined in masala-parser.d.ts:896

## Functions

### tuple

- tuple<T>(array?: T[]): any

- - Defined in masala-parser.d.ts:213

  Creates an empty or not Tuple, which is the preferred way

  `const t = tuple().append(x)`

  `const t = tuple([2, 4, 5])`;

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional array: T[]

  #### Returns any

Generated using TypeDoc